<?php
/**
 * Copyright 2018 Kacper Donat
 *
 * @author Kacper "Kadet" Donat <kacper@kadet.net>
 *
 * Full license available in separate LICENSE file
 */

namespace Kadet\Functional\Reflection;


class ReflectionAppliedParameter extends \ReflectionParameter
{
    private $value;

    public function __construct($function, string $parameter, $value)
    {
        parent::__construct($function, $parameter);
        $this->value = $value;
    }

    public function getValue()
    {
        return $this->value;
    }
}