<?php
/**
 * Copyright 2018 Kacper Donat
 *
 * @author Kacper "Kadet" Donat <kacper@kadet.net>
 *
 * Full license available in separate LICENSE file
 */

namespace Kadet\Functional\Reflection;


use Kadet\Functional\Utils\FixedFunction;

class ReflectionFixedFunction extends \ReflectionFunction
{
    public function __construct(FixedFunction $function)
    {
        parent::__construct($function->getDecorated()($function));
    }
}